commit:     ea87884e67235adbfa0029947137f98ef7d9339b
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 27 10:20:49 2016 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Nov 27 11:20:07 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ea87884e

app-mobilephone/gnome-phone-manager: adwaita-icon-theme can be used instead of 
dead gnome-icon-theme

Package-Manager: portage-2.3.2

 ...ome-phone-manager-0.69-adwaita-icon-theme.patch | 12 +++++++++++
 .../gnome-phone-manager-0.69-r1.ebuild             | 23 +++++++++++-----------
 2 files changed, 24 insertions(+), 11 deletions(-)

diff --git 
a/app-mobilephone/gnome-phone-manager/files/gnome-phone-manager-0.69-adwaita-icon-theme.patch
 
b/app-mobilephone/gnome-phone-manager/files/gnome-phone-manager-0.69-adwaita-icon-theme.patch
new file mode 100644
index 00000000..238fec3
--- /dev/null
+++ 
b/app-mobilephone/gnome-phone-manager/files/gnome-phone-manager-0.69-adwaita-icon-theme.patch
@@ -0,0 +1,12 @@
+diff -up ./configure.in.orig ./configure.in
+--- a/configure.in.orig        2014-05-04 09:40:07.973480490 +0300
++++ b/configure.in     2014-05-04 09:40:26.264727691 +0300
+@@ -48,7 +48,7 @@ PKG_CHECK_MODULES(LIBGSM, glib-2.0 gobje
+ PKG_CHECK_MODULES(PHONEMGR, gtk+-3.0 >= 3.0 glib-2.0 >= 2.31.0
+       libcanberra-gtk3 gconf-2.0
+       $GNOME_BLUETOOTH_REQS $evo_pc_file libedataserver-1.2 >= 3.6
+-      gmodule-2.0 dbus-glib-1 gnome-icon-theme >= 2.19.1
++      gmodule-2.0 dbus-glib-1 adwaita-icon-theme >= 2.19.1
+ )
+ 
+ DBUSLIBDIR="`$PKG_CONFIG dbus-glib-1 --variable=libdir`"

diff --git 
a/app-mobilephone/gnome-phone-manager/gnome-phone-manager-0.69-r1.ebuild 
b/app-mobilephone/gnome-phone-manager/gnome-phone-manager-0.69-r1.ebuild
index 8a1ffe2..7cd677b 100644
--- a/app-mobilephone/gnome-phone-manager/gnome-phone-manager-0.69-r1.ebuild
+++ b/app-mobilephone/gnome-phone-manager/gnome-phone-manager-0.69-r1.ebuild
@@ -1,12 +1,11 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
-EAPI="5"
-GCONF_DEBUG="yes"
+EAPI=6
 GNOME2_LA_PUNT="yes"
 
-inherit autotools eutils gnome2
+inherit autotools gnome2
 
 DESCRIPTION="Allows you to control aspects of your mobile phone from your 
GNOME desktop"
 HOMEPAGE="https://wiki.gnome.org/PhoneManager";
@@ -14,7 +13,7 @@ HOMEPAGE="https://wiki.gnome.org/PhoneManager";
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="amd64 ~ppc x86"
-IUSE=""
+IUSE="debug"
 # telepathy support is considered experimental
 
 RDEPEND="
@@ -27,10 +26,10 @@ RDEPEND="
        >=app-mobilephone/gnokii-0.6.28[bluetooth]
        net-wireless/bluez
        dev-libs/dbus-glib
-       dev-libs/openobex
+       dev-libs/openobex:0=
        media-libs/libcanberra[gtk]
-       >=x11-themes/gnome-icon-theme-2.19.1
-       >=net-wireless/gnome-bluetooth-3.3:2
+       >=net-wireless/gnome-bluetooth-3.3:2=
+       x11-themes/adwaita-icon-theme
 "
 DEPEND="${RDEPEND}
        >=dev-util/intltool-0.35.5
@@ -41,8 +40,9 @@ DEPEND="${RDEPEND}
 
 src_prepare() {
        # Fix eds-3.6 building, upstream bug #680927
-       epatch 
"${FILESDIR}"/0001-Adapt-to-Evolution-Data-Server-API-changes.patch
-
+       eapply 
"${FILESDIR}"/0001-Adapt-to-Evolution-Data-Server-API-changes.patch
+       eapply "${FILESDIR}"/${P}-adwaita-icon-theme.patch
+       mv configure.in configure.ac || die
        eautoreconf
        gnome2_src_prepare
 }
@@ -52,5 +52,6 @@ src_configure() {
        gnome2_src_configure \
                --disable-bluetooth-plugin \
                --disable-telepathy \
-               --disable-static
+               --disable-static \
+               $(use_enable debug)
 }

Reply via email to